org.gradle

## Enum CacheUsage

- java.lang.Object
- - java.lang.Enum<CacheUsage>
  - - org.gradle.CacheUsage

- All Implemented Interfaces:
    Serializable, Comparable<CacheUsage>

  Deprecated.
  This enum has been deprecated. Use `StartParameter.isRerunTasks()` and `StartParameter.isRecompileScripts()` instead.

      @Deprecated
      public enum CacheUsage
      extends Enum<CacheUsage>

  `CacheUsage` specifies how compiled scripts should be cached.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ON` Deprecated.
    `REBUILD` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheUsage` | `fromString(String usagestr)` Deprecated.
    `static CacheUsage` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static CacheUsage[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON

          public static final CacheUsage ON

      Deprecated.

    - #### REBUILD

          public static final CacheUsage REBUILD

      Deprecated.

  - ### Method Detail

    - #### values

          public static CacheUsage[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheUsage c : CacheUsage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheUsage valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static CacheUsage fromString(String usagestr)

      Deprecated.